Subject: PDP interactions in multiple domains

From: Kaustubh Phanse <[email-masked]>
Date: Mon, 30 Apr 2001 11:40:19 -0400 (EDT)

Hi!

	Had a couple of queries in how things would work in multiple
policy domains, and whether any standardization was done or being done for
the same?

Consider the following scenario:
We have three network domains, each belonging to a different organization,
and each domain has its own PDP to dictate policy decisions. Now say these
organizations decide to connect these domains to form a virtual private
network (VPN), and would like to have "homogeneous" or "non-conflicting"
policies to manage the entire VPN. In such case, how do the PDPs interact
to achieve this? Do the PEPs in a domain need to be made aware of (or need
to connect) to PDP(s) from other domain(s)?...etc.

Section 4.3 in RFC 2753 mentions the following:
"The PDP may consult other PDPs, but the discussion of inter-PDP
communication and coordination is outside the scope of this document".

So, I was not sure, if any other standards documents deals with this, or
whether its more of an implementation issue??

Any comments/pointers in this matter are greatly appreaciated.

Thank you
regards
Kaustubh
-----------------------------------------------------------------------------
 Kaustubh S. Phanse					  [email-masked]
 PhD student				       http://www.ee.vt.edu/~kphanse
 Alexandria Research Institute
 Electrical & Computer Engineering Department		               
 Virginia Polytechnic Institute & State University 
-----------------------------------------------------------------------------

---

From: "Iliff, Tina" <[email-masked]>
Date: Mon, 30 Apr 2001 16:03:50 +0000

Kaustubh,

I believe that it is an implementation issue.  In other words, functions
such as DSCP values negotiation between two domains as well as determining
what one PDP had installed on a PEP prior to the PEP connecting to another
PDP after connection loss, etc are currently implementation issues.
Tina Iliff

		-----Original Message-----
		From:	Kaustubh Phanse [mailto:[email-masked]]
		Sent:	Monday, April 30, 2001 10:40 AM
		To:	[email-masked]
		Subject:	PDP interactions in multiple domains

		Hi!

			Had a couple of queries in how things would work in
multiple
		policy domains, and whether any standardization was done or
being done for
		the same?

		Consider the following scenario:
		We have three network domains, each belonging to a different
organization,
		and each domain has its own PDP to dictate policy decisions.
Now say these
		organizations decide to connect these domains to form a
virtual private
		network (VPN), and would like to have "homogeneous" or
"non-conflicting"
		policies to manage the entire VPN. In such case, how do the
PDPs interact
		to achieve this? Do the PEPs in a domain need to be made
aware of (or need
		to connect) to PDP(s) from other domain(s)?...etc.

		Section 4.3 in RFC 2753 mentions the following:
		"The PDP may consult other PDPs, but the discussion of
inter-PDP
		communication and coordination is outside the scope of this
document".

		So, I was not sure, if any other standards documents deals
with this, or
		whether its more of an implementation issue??

		Any comments/pointers in this matter are greatly
appreaciated.

		Thank you
		regards
		Kaustubh
	
----------------------------------------------------------------------------
-
		 Kaustubh S. Phanse
[email-masked]
		 PhD student
http://www.ee.vt.edu/~kphanse
		 Alexandria Research Institute
		 Electrical & Computer Engineering Department

----------------------------------------------------------------------------
-